> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Link an existing ticket to findings

> Link an existing external ticket (e.g. Jira) to one or more Semgrep findings by providing the ticket URL and a list of finding IDs. This does not create a ticket in your issue tracker — it only records the association in Semgrep. If a finding is already linked to a different ticket, the existing link is replaced. Requires a configured ticketing integration.



## OpenAPI

````yaml /public_v1.openapi.yaml post /api/v1/deployments/{deploymentId}/tickets/link
openapi: 3.0.3
info:
  description: >

    Welcome to Semgrep's portal for the Semgrep AppSec Platform web API.


    # Introduction

    Semgrep is a fast, open-source, static analysis tool for finding bugs and
    enforcing code standards at editor,

    commit, and CI time. [Get
    started.](https://semgrep.dev/docs/getting-started/)


    This API is documented in the **OpenAPI format**.


    # Authentication

    The API supports authentication with an API token with the "Web API"
    permission, without limited

    scopes of access.


    You can provision an API token [from the Settings
    page](https://semgrep.dev/orgs/-/settings/tokens).


    # Terms of Use


    Please note, the materials made available herein are subject to the

    [Semgrep Terms of Use](https://semgrep.dev/resources/website-terms/), and
    your

    access or use of any of the same is your acknowledgment and acceptance of
    the

    such terms.


    <br>


    ___
  title: Semgrep Web App
  version: 1.0.0
servers: []
security: []
tags:
  - description: >-
      Deployments encapsulate your organization's security organization, with
      multiple projects, policies, and integrations. As the root object of the
      organization, they're similarly the root object of the API.
    name: DeploymentsService
    x-displayName: Deployment
    x-group: Deployment
  - description: >-
      Manage and retrieve code, supply chain, and AI-powered scan findings from
      Semgrep scans
    name: FindingsService
    x-displayName: Code, Supply Chain, and AI-Powered Scan
    x-group: Code, Supply Chain, and AI-Powered Scan
  - description: Utility endpoints.
    name: MiscService
    x-displayName: Other
    x-group: Other
  - description: >-
      View and manage the Policies of your organization.


      Deployments on the Unified Policies model use the [Policies V2
      API](/api/v2/docs/#tag/PoliciesV2Service) instead; this service stops
      working after the migration.
    name: PoliciesService
    x-displayName: Policies
    x-group: Policies
  - name: ProjectsService
    x-displayName: Projects
    x-group: Projects
  - description: View details of scans associated with projects in your organization.
    name: ScansService
    x-displayName: Scans
    x-group: Scans
  - description: View and manage the Secrets of your organization.
    name: SecretsService
    x-displayName: Secrets
    x-group: Secrets
  - description: |-
      Manage the Supply Chain findings and dependencies of your organization.

      A request body is required, but may be an empty object.
    name: SupplyChainService
    x-displayName: Supply Chain
    x-group: Supply Chain
  - description: Create and manage external tickets
    name: TicketingService
    x-displayName: Ticketing
    x-group: Ticketing
  - description: View and manage the triage of your organization.
    name: TriageService
    x-displayName: Triage
    x-group: Triage
paths:
  /api/v1/deployments/{deploymentId}/tickets/link:
    post:
      tags:
        - TicketingService
      summary: Link an existing ticket to findings
      description: >-
        Link an existing external ticket (e.g. Jira) to one or more Semgrep
        findings by providing the ticket URL and a list of finding IDs. This
        does not create a ticket in your issue tracker — it only records the
        association in Semgrep. If a finding is already linked to a different
        ticket, the existing link is replaced. Requires a configured ticketing
        integration.
      operationId: TicketingService_LinkTicket
      parameters:
        - in: path
          name: deploymentId
          required: true
          schema:
            description: >-
              Deployment ID. Can be found at /deployments, or in your Settings
              in the web UI.
            example: 123
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/protos.openapi.v1.LinkTicketRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/protos.openapi.v1.LinkTicketResponse'
          description: OK
      security:
        - SemgrepWebToken: []
components:
  schemas:
    protos.openapi.v1.LinkTicketRequest:
      description: Link ticket request
      properties:
        deploymentId:
          description: >-
            Deployment ID. Can be found at /deployments, or in your Settings in
            the web UI.
          example: 123
          type: string
        issue_ids:
          description: An array of Semgrep finding IDs to link the ticket to.
          example:
            - 123
            - 456
          items:
            type: string
          type: array
        ticket_url:
          description: >-
            The URL of the external ticket to link (e.g.
            https://myorg.atlassian.net/browse/SEC-123).
          example: https://myorg.atlassian.net/browse/SEC-123
          type: string
      required:
        - deployment_id
        - ticket_url
        - issue_ids
      title: Link Ticket Request
      type: object
    protos.openapi.v1.LinkTicketResponse:
      properties:
        external_slug:
          description: The external slug identifier for the ticket (e.g. SEC-123)
          type: string
        linked_issue_ids:
          description: List of finding IDs that were successfully linked to the ticket
          items:
            type: string
          type: array
        replaced_issue_ids:
          description: List of finding IDs where an existing ticket link was replaced
          items:
            type: string
          type: array
        ticket_id:
          description: The internal ID of the linked ticket record
          format: int64
          type: integer
        ticket_url:
          description: The URL of the linked ticket
          type: string
      type: object
  securitySchemes:
    SemgrepWebToken:
      bearerFormat: string
      description: >-
        Get access to data with your API token. Example header:


        `Authorization: Bearer
        2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628`


        The token can be provisioned from the Tokens section in your Settings,
        and requires explicitly enabling `Web API` access.
      scheme: bearer
      type: http

````